# 配置信息：环境 策略等

from strategy import *


class BaseConfig:
    STRATEGY = {
        'xiaoniangao': {
            'channel_page': XiaoniangaoHomePageStrategy(),  # 推荐/频道页  规则抓取
            'home_page': XiaoniangaoHomePageStrategy(),  # 用户主页 规则抓取
            'search': XiaoniangaoHomePageStrategy()  # 搜索结果 规则抓取
        },  # 小年糕
        'xigua': {
            'channel_page': XiguaHomePageStrategy(),  # 推荐/频道页  规则抓取
            'home_page': XiguaHomePageStrategy(),  # 用户主页 规则抓取
            'search': XiguaHomePageStrategy()  # 搜索结果 规则抓取
        },  # 西瓜视频
        'shipinhao': {
            'channel_page': ShipinhaoHomePageStrategy(),  # 推荐/频道页  规则抓取
            'home_page': ShipinhaoHomePageStrategy(),  # 用户主页 规则抓取
            'search': ShipinhaoHomePageStrategy()  # 搜索结果 规则抓取
        },  # 视频号
    }

    """
    编辑飞书云文档
    """
    # 看一看爬虫数据表
    kanyikan_url = "https://w42nne6hzg.feishu.cn/sheets/shtcngRPoDYAi24x52j2nDuHMih?"
    # 快手爬虫数据表
    kuaishou_url = "https://w42nne6hzg.feishu.cn/sheets/shtcnp4SaJt37q6OOOrYzPMjQkg?"
    # 微视爬虫数据表
    weishi_url = "https://w42nne6hzg.feishu.cn/sheets/shtcn5YSWg91JfVGzj0SFZIRRPh?"
    # 小年糕爬虫数据表
    xiaoniangao_url = "https://w42nne6hzg.feishu.cn/sheets/shtcnYxiyQ1wLklo1W5Kdqc9cGh?"
    # 数据监控表
    crawler_monitor = "https://w42nne6hzg.feishu.cn/sheets/shtcnlZWYazInhf7Z60jkbLRJyd?"
    # 本山祝福数据表
    crawler_benshanzhufu = "https://w42nne6hzg.feishu.cn/sheets/shtcnGh2rrsPYM4iVNEBO7OqWrb?"
    # 公众号爬虫表
    gzh_url = "https://w42nne6hzg.feishu.cn/sheets/shtcnexNXnpDLHhARw0QdiwbYuA?"
    # 视频号表
    shipinhao_url = 'https://w42nne6hzg.feishu.cn/sheets/shtcn9rOdZRAGFbRkWpn7hqEHGc?'
    # 知青总群
    zhiqingzongqun_url = 'https://w42nne6hzg.feishu.cn/sheets/shtcnjmhKdJOKdqnEzJcZb5xaHc?'
    # 众妙音信
    zmyx_url = 'https://w42nne6hzg.feishu.cn/sheets/shtcnbZIxstPeM0xshW07b26sve?'
    # 岁岁年年迎福气
    ssnnyfq_url = 'https://w42nne6hzg.feishu.cn/sheets/shtcnyJmJSJynHDLLbLTkySfvZe'

    # TODO 飞书路径Token

    # TODO OSS 配置


class TestConfig(BaseConfig):
    """测试环境配置"""
    ENV_TEXT = "测试环境"

    # TODO 发布 接口


class ProdConfig(BaseConfig):
    """生产环境配置"""
    ENV_TEXT = "生产环境"
    # TODO 发布 接口


def set_config(env):
    if env is None:
        # log_.error('ENV ERROR: is None!')
        return
    if env == 'test':
        return TestConfig()
    elif env == 'prod':
        return ProdConfig()
    else:
        # log_.error('ENV ERROR: is {}'.format(env))
        return
